summaryrefslogtreecommitdiff
path: root/sys-block/vblade/files/vbladed
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /sys-block/vblade/files/vbladed
reinit the tree, so we can have metadata
Diffstat (limited to 'sys-block/vblade/files/vbladed')
-rw-r--r--sys-block/vblade/files/vbladed19
1 files changed, 19 insertions, 0 deletions
diff --git a/sys-block/vblade/files/vbladed b/sys-block/vblade/files/vbladed
new file mode 100644
index 000000000000..5822d677843a
--- /dev/null
+++ b/sys-block/vblade/files/vbladed
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+#
+# run a vblade daemon using a logger process
+# output is directed to syslogd
+#
+# Although logging goes to syslog, let's going to
+# protect ourselves against the most common way or
+# calling vbladed: without arguments.
+if [ -z "$*" ]
+then
+ echo "Usage: vbladed <shelf> <slot> <ethn> <device>" >&2
+ exit 1
+fi
+
+[ -z "${LOGTAG}" ] && LOGTAG=vbladed
+
+/usr/sbin/vblade "${@}" </dev/null 2>&1 | /usr/bin/logger -t "${LOGTAG}"